--- dia-0.84-7/app/display.c	Mon Jul 24 10:42:17 2000
+++ dia-0.84-8/app/display.c	Mon Jul 24 10:44:42 2000
@@ -137,6 +137,11 @@
   ddisp->visible.right = prefs.new_view.width/ddisp->zoom_factor;
   ddisp->visible.bottom = prefs.new_view.height/ddisp->zoom_factor;
 
+#ifdef USE_XIM
+  ddisp->ic = NULL;
+  ddisp->ic_attr = NULL;
+#endif
+
   create_display_shell(ddisp, prefs.new_view.width, prefs.new_view.height,
 		       filename);
 
@@ -153,10 +158,6 @@
   g_hash_table_insert (display_ht, ddisp->shell, ddisp);
   g_hash_table_insert (display_ht, ddisp->canvas, ddisp);
 
-#ifdef USE_XIM
-  ddisp->ic = NULL;
-  ddisp->ic_attr = NULL;
-#endif
 
   return ddisp;  /*  set the user data  */
 }

--- dia-0.84-7/app/disp_callbacks.c	Mon Jul 24 10:42:25 2000
+++ dia-0.84-8/app/disp_callbacks.c	Mon Jul 24 10:44:42 2000
@@ -293,10 +293,14 @@
     
     case GDK_FOCUS_CHANGE:
 #ifdef USE_XIM
-        if(ddisp->ic == NULL)
-          create_input_dialog (ddisp);
-	else
-	  gdk_im_begin(ddisp->ic, ddisp->canvas->window);
+	if(((GdkEventFocus *)event)->in) {
+        	if(ddisp->ic == NULL)
+          	create_input_dialog (ddisp);
+		else
+	  	gdk_im_begin(ddisp->ic, ddisp->canvas->window);
+	} else {
+		gdk_im_end();
+	}
 #endif
       diagram_update_menu_sensitivity(ddisp->diagram);
       break;

--- dia-0.84-7/README.ja	Mon Jul 24 10:42:25 2000
+++ dia-0.84-8/README.ja	Tue Jul 25 23:35:40 2000
@@ -3,9 +3,13 @@
 	mirror: http://europa.u-aizu.ac.jp/%7Eyasu/dia/
 (please refer;  http://www2.famille.ne.jp/~mituiwa/)
 
-*** Υ꡼ (dia-0.84-7) ˤѹ ***
+*** Υ꡼ (dia-0.84-8) ˤѹ ***
 ʲΤ褦ʥХν٤ƤǡǽŪѹϤޤ
-	ޤXIMΥեäƤޤβ
+
+	GdkICν֤ԶˤSEGVβ
+	keyboard_focusügdk_im_end()Ƥ֤褦ˤ
+
+ʤ⤬ http://www.u-aizu.ac.jp/%7Em5031201/dia/2000Jul25.html ˤޤ
 
 *** dia-0.84ܸ첽ѥåˤĤ ***
 dia-0.8xܸ첽ѥåˤĤƤϡhttp://www2.famille.ne.jp/~mituiwa/
@@ -23,12 +27,16 @@
 ޤϤUML饹ޤΥƥ쥪Фѥåμߤ
 ԤʤƤޤ
 
+dia-0.84-8ĤXIM˴ϢSEGV򤹤ѥåμߤ
+ԤʤƤޤ
+
 *** 󥹥ȡ ***
 tar xvzf dia-0.84.tar.gz
 cd dia-0.84/
 patch -p1 < dia-0.84-0-1.diff
 patch -p1 < dia-0.84-1-6.diff
 patch -p1 < dia-0.84-6-7.diff
+patch -p1 < dia-0.84-7-8.diff
 env LINGUAS=ja ./configure
 make
 make install
@@ -38,4 +46,8 @@
 ɽǤGPL˽äƼͳ˲ѡۤǤޤ
 
 *** Ϣ ***
-e-mail: <m5031201@u-aizu.ac.jp> "Yasuhiro ABE"
+e-mail: <yasu@dengaku.org> "Yasuhiro ABE"
+
+# ؤΥ᡼륢ɥ쥹´Ȼˤ̤ˤʤΤ2001ǯ4ʹߤ
+# yasu@dengaku.orgɥ쥹ȤäƤ
+# m5031201@u-aizu.ac.jp Ȥޤ



